<?xml version="1.0" encoding="UTF-8"?>
<!--
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - JOnAS: Java(TM) Open Application Server
  - Copyright (C) 2007-2009 Bull S.A.S.
  - Contact: jonas-team@ow2.org
  -
  - This library is free software; you can redistribute it and/or
  - modify it under the terms of the GNU Lesser General Public
  - License as published by the Free Software Foundation; either
  - version 2.1 of the License, or (at your option) any later version.
  -
  - This library is distributed in the hope that it will be useful,
  - but WITHOUT ANY WARRANTY; without even the implied warranty of
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  - Lesser General Public License for more details.
  -
  - You should have received a copy of the GNU Lesser General Public
  - License along with this library; if not, write to the Free Software
  - Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
  -
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - $Id$
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
-->

<assembly xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.0"
          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xsi:schemaLocation="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.0
                              http://maven.apache.org/xsd/assembly-1.1.0.xsd">

  <id>bin</id>
  <formats>
    <format>dir</format>
    <format>zip</format>
    <format>tar.gz</format>
  </formats>
  <includeBaseDirectory>true</includeBaseDirectory>

  <componentDescriptors>
    <componentDescriptor>../src/main/assembly/component.xml</componentDescriptor>
    <componentDescriptor>src/main/assembly/templates-component.xml</componentDescriptor>
  </componentDescriptors>

  <dependencySets>
    <dependencySet>
      <!-- - - - - - - - - - - - - - - - - - - - - - - -->
      <!-- Java Endorsed Directory                     -->
      <!-- - - - - - - - - - - - - - - - - - - - - - - -->
      <outputDirectory>lib/endorsed</outputDirectory>
      <useStrictFiltering>true</useStrictFiltering>
      <includes>
        <include>avalon-framework:avalon-framework</include>
        <include>logkit:logkit</include>
        <include>org.jacorb:jacorb</include>
        <include>org.jacorb:jacorb-idl</include>
        <include>org.ow2.carol:carol-iiop-delegate</include>
        <include>xerces:xercesImpl</include>
        <include>xalan:xalan</include>
        <include>xml-apis:xml-apis</include>
        <include>xalan:serializer</include>
      </includes>
    </dependencySet>

    <dependencySet>
      <!-- - - - - - - - - - - - - - - - - - - - - - - -->
      <!-- JOnAS Bootstrap Libraries                   -->
      <!-- - - - - - - - - - - - - - - - - - - - - - - -->
      <outputDirectory>lib/bootstrap</outputDirectory>
      <outputFileNameMapping>${artifact.artifactId}.${artifact.extension}</outputFileNameMapping>
      <useStrictFiltering>true</useStrictFiltering>
      <includes>
        <include>org.ow2.jonas:client-bootstrap</include>
      </includes>
    </dependencySet>

    <dependencySet>
      <!-- - - - - - - - - - - - - - - - - - - - - - - -->
      <!-- JPA 2.0 bootstrap bundle                    -->
      <!-- - - - - - - - - - - - - - - - - - - - - - - -->
      <outputDirectory>lib/bootstrap/bundles-jpa2.0</outputDirectory>
      <outputFileNameMapping>${artifact.artifactId}.${artifact.extension}</outputFileNameMapping>
      <useStrictFiltering>true</useStrictFiltering>
      <includes>
        <include>org.ow2.spec.ee:ow2-jpa-2.0-spec</include>
      </includes>
    </dependencySet>

    <dependencySet>
      <!-- - - - - - - - - - - - - - - - - - - - - - - -->
      <!-- Interceptor 1.1 bootstrap bundle                    -->
      <!-- - - - - - - - - - - - - - - - - - - - - - - -->
      <outputDirectory>lib/bootstrap/bundles-cdi</outputDirectory>
      <outputFileNameMapping>${artifact.artifactId}.${artifact.extension}</outputFileNameMapping>
      <useStrictFiltering>true</useStrictFiltering>
      <includes>
        <include>org.ow2.spec.ee:ow2-interceptor-1.1-spec</include>
      </includes>
    </dependencySet>


    <dependencySet>
      <!-- - - - - - - - - - - - - - - - - - - - - - - -->
      <!-- JOnAS Client Libraries                      -->
      <!-- - - - - - - - - - - - - - - - - - - - - - - -->
      <outputDirectory>lib/</outputDirectory>
      <outputFileNameMapping>${artifact.artifactId}.${artifact.extension}</outputFileNameMapping>
      <useStrictFiltering>true</useStrictFiltering>
      <includes>
        <include>org.ow2.jonas:jonas-client</include>
        <include>org.ow2.jonas:jonas-generators-raconfig</include>
        <include>org.ow2.jonas:jonas-generators-clientstubs</include>
        <include>org.ow2.jonas:jonas-cluster-daemon</include>
        <!-- TODO: The XJC module will be placed in the OW2 JAXB2 bundle -->
        <include>com.sun.xml.bind:jaxb-xjc</include>
      </includes>
    </dependencySet>

      <!-- - - - - - - - - - - - - - - - - - - - - - - -->
      <!-- Smart Bootstrap -->
      <!-- - - - - - - - - - - - - - - - - - - - - - - -->
    <dependencySet>
      <outputDirectory>lib/</outputDirectory>
      <outputFileNameMapping>smartclient.jar</outputFileNameMapping>
      <useStrictFiltering>true</useStrictFiltering>
      <includes>
        <include>org.ow2.easybeans:easybeans-component-smartclient</include>
      </includes>
    </dependencySet>


    <!-- TLD files should go in a folder that will be -->
    <!-- available in an URLClassLoader as a file -->
    <dependencySet>
      <outputDirectory>lib/internal-ee-tld</outputDirectory>
      <outputFileNameMapping>javaee-tld.jar</outputFileNameMapping>
      <useStrictFiltering>true</useStrictFiltering>
      <includes>
        <include>org.ow2.jonas.osgi:javaee-api:jar:tld</include>
      </includes>
    </dependencySet>

    <dependencySet>
      <!-- Place Ant tasks -->
      <outputDirectory>lib/common</outputDirectory>
      <outputFileNameMapping>${artifact.artifactId}.${artifact.extension}</outputFileNameMapping>
      <useStrictFiltering>true</useStrictFiltering>
      <includes>
        <include>org.ow2.util:util-ant-tasks</include>
        <include>org.apache.cxf:cxf-anttasks</include>
      </includes>
    </dependencySet>

  </dependencySets>
</assembly>
